#include <iostream>

using namespace std;

int main()
{
	int N, Pera;
	cin >> N >> Pera;
	int brojas = -1;
	for(int i = 1; i <= N; i++)
	{
		int H;
		cin >> H;
		if(H <= Pera && brojas == -1)
			brojas = i;
	}
	
	cout << brojas;
	
}